Name:       nheko
Version:    0.11.1
%define subrel  1
Release:    %mkrel 1
# Main source - GPLv3+
# cpp-httplib - bundled - MIT
# blurhash - bundled - Boost
# qtsingleapplication-qt5 - bundled - MIT
License:    GPLv3+ and MIT and Boost
Group:      Networking/Instant messaging
Summary:    Desktop client for the Matrix protocol
URL:        https://github.com/Nheko-Reborn/nheko
Source0:    https://github.com/Nheko-Reborn/nheko/archive/v%{version}/nheko-%{version}.tar.gz

BuildRequires:  cmake >= 3.15.0
BuildRequires:  cmake(Boost) >= 1.70
BuildRequires:  cmake(mpark_variant)
BuildRequires:  cmake(MatrixClient) >= 0.5.1
BuildRequires:  cmake(Olm)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Keychain)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5QuickCompiler)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5QuickWidgets)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(nlohmann_json) >= 3.2.0
BuildRequires:  cmake(spdlog) >= 1.0.0

BuildRequires:  config(asciidoc)

BuildRequires:  pkgconfig(coeurl) >= 0.3.0
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-app-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-audio-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-base-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-sdp-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-video-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-webrtc-1.0) >= 1.18.0
BuildRequires:  pkgconfig(libcmark) >= 0.29.0
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(lmdb) 
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(re2)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(zlib)
BuildRequires:	pkgconfig(gnome-keyring-1)

#squidf: add boost to make sure to get all lib64boost librairies 
BuildRequires:  boost
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  lmdbxx-devel >= 1.0.0
BuildRequires:  ninja

Requires:   hicolor-icon-theme
Requires:   qt-jdenticon
Requires:   qtgraphicaleffects5
Requires:   qtquickcontrols25
Requires:   qtmultimedia5
Requires:   mtxclient >= 0.9.0

Recommends: google-noto-emoji-color-fonts
Recommends: nheko-zsh-completion


%description
The motivation behind the project is to provide a native desktop app
for Matrix that feels more like a mainstream chat app.

%package zsh-completion
Summary:        Zsh completion for %{name}
Group:          System/Configuration
Requires:       zsh
Requires:       %{name}
Supplements:    (%{name} and zsh)
BuildArch:      noarch

%description zsh-completion
This package contain the zsh completion command for the %{name} matrix client.


%prep
%setup -q -n %{name}-%{version}

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DHUNTER_ENABLED=OFF

%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README.md CHANGELOG.md
%license COPYING
%{_bindir}/%{name}
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.xz

%files zsh-completion
%{_datadir}/zsh/site-functions/_%{name}


%changelog
* Mon Jan 16 2023 squidf <squid-f> 0.11.1-1.1
- Recommend emoji font

* Mon Jan 16 2023 squidf <squid-f> 0.11.1-1
- Update to 0.11.1

* Sat Jan 14 2023 squidf <squid-f> 0.11.0-1
- Update to 0.11.0

* Wed Sep 28 2022 squidf <squid-f> 0.10.2-1
- Update to 0.10.2

* Sat Sep 24 2022 squidf <squid-f> 0.10.1-1
- Update to 0.10.1

* Sun Sep 4 2022 squidf <squid-f> 0.10.0-2.2
- Recommend nheko-zsh-completion
- Build with zlib 1.2.12-1.3

* Sun Sep 4 2022 squidf <squid-f> 0.10.0-2.1
- Rebuild with coeurl fixing unsatisfied libcoeurl.so.0 

* Sun Sep 4 2022 squidf <squid-f> 0.10.0-2
- Build with gcc
- Provides zsh-completion
- Update coeurl to 0.2.1

* Sat Jul 23 2022 squidf <squid-f> 0.10.0-1
- Update to 0.10.0
- Add build dependencies asciidoc and gnome-keyring
- Require qt-jdenticon

* Mon Apr 11 2022 squidf <squid-f> 0.9.3-1
- Update to 0.9.3

* Thu Jan 13 2022 squidf <squid-f> 0.9.1-2
- Add lib64qt5keychain1, lib64qt5quickcontrols2_5, lib64qt5keychain1, qtgraphicaleffects5 dependencies
- Add lib64secret-devel, lmdbxx build dependencies
- Use more default bundled flags

* Fri Dec 24 2021 squidf <squid-f> 0.9.1-1
- Update to 0.9.1
- Correct mpark-variant-devel build dependency 
- Add coeurl, lib64olm3 as explicit dependencies
- Add qtmultimedia5 as dependency (white page otherwise after signing in)

* Sat Aug 21 2021 squidf <squid-f> 0.8.2-1.squidf.mga8
- build for MGA8 based on Fedora - 0.8.2-3
